CVE-2014-2242CVE-2014-2242

Affected configuration(s):

cpe:/a:mediawiki:mediawiki:1.1.0
cpe:/a:mediawiki:mediawiki:1.10.0
cpe:/a:mediawiki:mediawiki:1.10.0:rc1
cpe:/a:mediawiki:mediawiki:1.10.0:rc2
cpe:/a:mediawiki:mediawiki:1.10.1
cpe:/a:mediawiki:mediawiki:1.10.2
cpe:/a:mediawiki:mediawiki:1.10.3
cpe:/a:mediawiki:mediawiki:1.10.4
cpe:/a:mediawiki:mediawiki:1.11
cpe:/a:mediawiki:mediawiki:1.11.0
cpe:/a:mediawiki:mediawiki:1.11.0:rc1
cpe:/a:mediawiki:mediawiki:1.11.1
cpe:/a:mediawiki:mediawiki:1.11.2
cpe:/a:mediawiki:mediawiki:1.12.0
cpe:/a:mediawiki:mediawiki:1.12.0:rc1
cpe:/a:mediawiki:mediawiki:1.12.1
cpe:/a:mediawiki:mediawiki:1.12.2
cpe:/a:mediawiki:mediawiki:1.12.3
cpe:/a:mediawiki:mediawiki:1.12.4
cpe:/a:mediawiki:mediawiki:1.13.0
cpe:/a:mediawiki:mediawiki:1.13.0:rc1
cpe:/a:mediawiki:mediawiki:1.13.0:rc2
cpe:/a:mediawiki:mediawiki:1.13.1
cpe:/a:mediawiki:mediawiki:1.13.2
cpe:/a:mediawiki:mediawiki:1.13.3
cpe:/a:mediawiki:mediawiki:1.13.4
cpe:/a:mediawiki:mediawiki:1.14.0
cpe:/a:mediawiki:mediawiki:1.14.0:rc1
cpe:/a:mediawiki:mediawiki:1.14.1
cpe:/a:mediawiki:mediawiki:1.15.0
cpe:/a:mediawiki:mediawiki:1.15.0:rc1
cpe:/a:mediawiki:mediawiki:1.15.1
cpe:/a:mediawiki:mediawiki:1.15.2
cpe:/a:mediawiki:mediawiki:1.15.3
cpe:/a:mediawiki:mediawiki:1.15.4
cpe:/a:mediawiki:mediawiki:1.15.5
cpe:/a:mediawiki:mediawiki:1.16.0
cpe:/a:mediawiki:mediawiki:1.16.0:beta1
cpe:/a:mediawiki:mediawiki:1.16.0:beta2
cpe:/a:mediawiki:mediawiki:1.16.0:beta3
cpe:/a:mediawiki:mediawiki:1.16.1
cpe:/a:mediawiki:mediawiki:1.16.2
cpe:/a:mediawiki:mediawiki:1.17
cpe:/a:mediawiki:mediawiki:1.17:beta_1
cpe:/a:mediawiki:mediawiki:1.17.0
cpe:/a:mediawiki:mediawiki:1.17.0:rc1
cpe:/a:mediawiki:mediawiki:1.17.1
cpe:/a:mediawiki:mediawiki:1.17.2
cpe:/a:mediawiki:mediawiki:1.17.3
cpe:/a:mediawiki:mediawiki:1.17.4
cpe:/a:mediawiki:mediawiki:1.18
cpe:/a:mediawiki:mediawiki:1.18:beta_1
cpe:/a:mediawiki:mediawiki:1.18.0
cpe:/a:mediawiki:mediawiki:1.18.0:rc1
cpe:/a:mediawiki:mediawiki:1.18.1
cpe:/a:mediawiki:mediawiki:1.18.2
cpe:/a:mediawiki:mediawiki:1.18.3
cpe:/a:mediawiki:mediawiki:1.19
cpe:/a:mediawiki:mediawiki:1.19:beta_1
cpe:/a:mediawiki:mediawiki:1.19:beta_2
cpe:/a:mediawiki:mediawiki:1.19.0
cpe:/a:mediawiki:mediawiki:1.19.1
cpe:/a:mediawiki:mediawiki:1.19.2
cpe:/a:mediawiki:mediawiki:1.19.3
cpe:/a:mediawiki:mediawiki:1.19.4
cpe:/a:mediawiki:mediawiki:1.19.5
cpe:/a:mediawiki:mediawiki:1.19.6
cpe:/a:mediawiki:mediawiki:1.19.7
cpe:/a:mediawiki:mediawiki:1.19.8
cpe:/a:mediawiki:mediawiki:1.19.9
cpe:/a:mediawiki:mediawiki:1.19.10
cpe:/a:mediawiki:mediawiki:1.19.11
cpe:/a:mediawiki:mediawiki:1.20
cpe:/a:mediawiki:mediawiki:1.20.1
cpe:/a:mediawiki:mediawiki:1.20.2
cpe:/a:mediawiki:mediawiki:1.20.3
cpe:/a:mediawiki:mediawiki:1.20.4
cpe:/a:mediawiki:mediawiki:1.20.5
cpe:/a:mediawiki:mediawiki:1.20.6
cpe:/a:mediawiki:mediawiki:1.20.7
cpe:/a:mediawiki:mediawiki:1.20.8
cpe:/a:mediawiki:mediawiki:1.21
cpe:/a:mediawiki:mediawiki:1.21.1
cpe:/a:mediawiki:mediawiki:1.21.2
cpe:/a:mediawiki:mediawiki:1.21.3
cpe:/a:mediawiki:mediawiki:1.21.4
cpe:/a:mediawiki:mediawiki:1.21.5
cpe:/a:mediawiki:mediawiki:1.22.0
cpe:/a:mediawiki:mediawiki:1.22.1
cpe:/a:mediawiki:mediawiki:1.22.2

Date published: 2014-03-01T23:57:25.887-05:00

Date last modified: 2016-04-04T13:41:59.233-04:00

CVSS Score: 4.3

Principal attack vector: NETWORK

Complexity:  MEDIUM

Reference URL: http://lists.wikimedia.org/pipermail/mediawiki-announce/2014-February/000141.html

Summary: includes/upload/UploadBase.php in MediaWiki before 1.19.12, 1.20.x and 1.21.x before 1.21.6, and 1.22.x before 1.22.3 does not prevent use of invalid namespaces in SVG files, which allows remote attackers to conduct cross-site scripting (XSS) attacks via an SVG upload, as demonstrated by use of a W3C XHTML namespace in conjunction with an IFRAME element.

CategoriesUncategorised

Leave a Reply

Your email address will not be published. Required fields are marked *

This site uses Akismet to reduce spam. Learn how your comment data is processed.